### Signal

# SpiceClientGLib SmartcardManager::reader-added

#### Declaration

    void
    reader_added (
      SpiceSmartcardManager* self,
      SpiceClientGLibVReader* vreader,
      gpointer user_data
    )

#### Description [src]

The `SpiceSmartcardManager::reader-added` signal is emitted whenever a new smartcard reader (software or hardware) has been plugged in.

Default handler: The default handler is called before the handlers added via `g_signal_connect()`.

#### Parameters

`vreader`

  Type: `SpiceClientGLibVReader*`

  `VReader` boxed object corresponding to the added reader.

  The data is owned by the caller of the function.